Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.cas
Class AnnotationBase

    java.lang.Object
      org.apache.uima.cas.impl.FeatureStructureImpl
          org.apache.uima.jcas.cas.TOP
              org.apache.uima.jcas.cas.AnnotationBase

All Implemented Interfaces:
  Cloneable, AnnotationBaseFS, FeatureStructure

Direct Known Subclasses:
  Annotation

    public class AnnotationBase

extends TOP
implements AnnotationBaseFS

the JCas class model for the CAS type uima.cas.Annotation. It defines two integer valued features indicating the begin and end of the span being annotated. There is also a method to retrieve the spanned text as a string.

Field Summary
`static int` | `type`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP
`addr, jcasType`

Constructor Summary
`protected` | `AnnotationBase()`
`` | `AnnotationBase(int addr, TOP_Type type)` Internal - Constructor used by generator
`` | `AnnotationBase(JCas jcas)`

Method Summary
`SofaFS` | `getSofa()` getter for sofa - gets Sofaref for annotation
`int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
`CAS` | `getView()` Gets the CAS view associated with the Sofa that this Annotation is over.

Methods inherited from class org.apache.uima.jcas.cas.TOP
`addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl
`clone, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.uima.cas.FeatureStructure
`clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

Field Detail

### typeIndexID

    public static final int typeIndexID

### type

    public static final int type

Constructor Detail

### AnnotationBase

    protected AnnotationBase()

### AnnotationBase

    public AnnotationBase(int addr,
                          TOP_Type type)

  Internal - Constructor used by generator

### AnnotationBase

    public AnnotationBase(JCas jcas)

Method Detail

### getTypeIndexID

    public int getTypeIndexID()

  Description copied from class: `TOP`
  used to obtain reference to the TOP_Type instance

  Overrides:
    `getTypeIndexID` in class `TOP`
  Returns:
    the type array index

### getSofa

    public SofaFS getSofa()

  getter for sofa - gets Sofaref for annotation

### getView

    public CAS getView()

  Description copied from interface: `AnnotationBaseFS`
  Gets the CAS view associated with the Sofa that this Annotation is over.

  Specified by:
    `getView` in interface `AnnotationBaseFS`
  Returns:
    the CAS view associated with the Annotation's Sofa

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.